ATA_TF_FROM_FIS(9)

NAME
ata_tf_from_fis - Convert SATA FIS to ATA taskfile

SYNOPSIS

void ata_tf_from_fis (const u8 * fis, struct ata_taskfile * tf);

ARGUMENTS

fis Buffer from which data will be input

tf  Taskfile to output

DESCRIPTION

Converts a serial ATA FIS structure to a standard ATA taskfile.

LOCKING

Inherited from caller.

AUTHOR
Jeff Garzik.